Summary:	Clustered TDB
Name:		ctdb
Version:	1.2.46
%define subrel	1
Release:	%mkrel 4
License:	GPLv3
Group:		System/Cluster
URL:		http://ctdb.samba.org/
# git clone git://git.samba.org/ctdb.git ctdb
# cd ctdb
# git archive --format tar.gz %{name}-%{version} --prefix %{name}-%{version}/ -o %{name}-%{version}.tar.gz
Source:		%{name}-%{version}.tar.gz
# Two patches from Fedora
Patch0:		ctdb-1.2.46-extract-some-init-functions-into-a-separate-file.patch
Patch1:		ctdb-1.2.46-add-systemd-support.patch
Patch2:		ctdb-1.2.46-CVE-2013-4159.patch
BuildRequires:	autoconf >= 2.50, automake >= 1.6
Requires(pre):	mktemp psmisc coreutils sed 
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires:	tdb-utils

%description
ctdb is the clustered database used by samba

%package	devel
Summary:	Development files for ctdb
Group:		Development/Other

%description devel
devel files for ctdb


%prep
%setup -q
%patch0 -p1 -b .init_functions
%patch1 -p1 -b .systemd
%patch2 -p1 -b .CVE-2013-4159

%build
CC="gcc"

## always run autogen.sh
./autogen.sh
export CFLAGS="%optflags $EXTRA -D_GNU_SOURCE -DCTDB_VERS=\"%{version}-%{release}\""
%configure2_5x

make showflags
make


%install
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

%makeinstall_std

install -m644 config/ctdb.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/ctdb

mkdir -p %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb_check_persistent_databases.pre %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb_set_ctdb_variables.post %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb_drop_all_public_ips %{buildroot}%{_sysconfdir}/ctdb/systemd
install -m 755 config/systemd/ctdb.systemd %{buildroot}%{_sysconfdir}/ctdb/systemd
mkdir -p %{buildroot}%{_unitdir}
install -m 755 config/ctdb.service %{buildroot}%{_unitdir}

touch %{buildroot}/%{_sysconfdir}/ctdb/nodes
perl -pi -e 's,/var/ctdb,/var/lib/ctdb,g' %{buildroot}/%{_sysconfdir}/%{name}/{systemd/*,functions,init_functions,statd-callout}
mkdir -p %{buildroot}/var/lib/ctdb


%post
%_post_service %{name}


%preun
%_preun_service %{name}


%files
%config(noreplace) %{_sysconfdir}/sysconfig/ctdb
%config(noreplace) %{_sysconfdir}/%{name}/nodes
%doc doc/*html
%{_sysconfdir}/ctdb/systemd/ctdb_check_persistent_databases.pre
%{_sysconfdir}/ctdb/systemd/ctdb_set_ctdb_variables.post
%{_sysconfdir}/ctdb/systemd/ctdb_drop_all_public_ips
%{_sysconfdir}/ctdb/systemd/ctdb.systemd
%{_unitdir}/ctdb.service
%{_sysconfdir}/ctdb/functions
%{_sysconfdir}/ctdb/events.d/
%{_sysconfdir}/ctdb/statd-callout
%{_sysconfdir}/ctdb/*.sh
%{_sysconfdir}/ctdb/init_functions
%{_sbindir}/ctdbd
%{_bindir}/ctdb
%{_bindir}/ltdbtool
%{_bindir}/smnotify
%{_bindir}/ctdb_diagnostics
%{_bindir}/onnode
%{_bindir}/ping_pong
%{_mandir}/man1/ctdb.1.*
%{_mandir}/man1/ltdbtool.1.*
%{_mandir}/man1/ctdbd.1.*
%{_mandir}/man1/onnode.1.*
%dir %attr(750,root,root) /var/lib/ctdb

%files devel
%{_includedir}/ctdb.h
%{_includedir}/ctdb_client.h
%{_includedir}/ctdb_protocol.h
%{_includedir}/ctdb_private.h
%{_includedir}/ctdb_typesafe_cb.h
%{_libdir}/libctdb.a
%{_libdir}/pkgconfig/ctdb.pc


%changelog
* Fri Jun 13 2014 luigiwalser <luigiwalser> 1.2.46-4.1.mga4
+ Revision: 636002
- rediff upstream patches to fix CVE-2013-4159
- build with optimization so that FORTIFY_SOURCE works

* Fri Oct 18 2013 umeabot <umeabot> 1.2.46-4.mga4
+ Revision: 503645
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.46-3.mga3
+ Revision: 348387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 fwang <fwang> 1.2.46-2.mga3
+ Revision: 338023
- try fix build

* Mon Aug 06 2012 sander85 <sander85> 1.2.46-1.mga3
+ Revision: 279323
- New version: 1.2.46.
- Sync spec with Fedora.
- Add systemd support from Fedora.
- Drop SysVinit support.

* Fri Jan 13 2012 buchan <buchan> 1.0.114.4-1.mga2
+ Revision: 195630
- New version 1.0.114.4 (tarball created from git, as no upstream source release)
- sync with Mandriva

* Thu Jan 13 2011 dmorgan <dmorgan> 1.0.114-2.mga1
+ Revision: 8980
- imported package ctdb

